<?php
/*美乳
 *
 * $Id: editor.php,v 1.1 2005/10/21 06:53:18 ikuma Exp $
 *
 * 日中辞書  ADCOOP
 *
 */
require_once 'inc/header.inc';
require_once 'inc/global.inc';

// =================================================================================================
// 呼び出し方法による分岐
// =================================================================================================
if(!empty($_POST)){
  // ----- フォームデータ取得
  GetFormData();
}else{
  // ----- GET引数取得
  GetQueryData();
}
// =================================================================================================
// 初期化
// =================================================================================================
$msg = "";

// =================================================================================================
// フォームの値を取得する
// =================================================================================================
function GetFormData() {
  // グローバルスコープの参照
  global $fstatus;                                //ステータス
  global $id ;                                    //ID
  global $useragent;                              //UserAgent
  global $midasi;                                 //見出語
  global $hatuon;                                 //発音記号
  global $yaku;                                   //訳語
  global $yorei;                                  //用例
  // フォームの値を取得する
  $fstatus      = $_POST['fstatus'];              //ステータス
  $id           = $_POST['id'];                   //ID
  $useragent    = getenv('HTTP_USER_AGENT');      //UserAgent
  $midasi       = $_POST['midasi'];               //見出語
  $hatuon       = $_POST['hatuon'];               //発音
  $yaku         = $_POST['yaku'];                 //訳語
  $yorei        = $_POST['yorei'];                //用例
  //文字処理
  $midasi       = addslashes($midasi);
  $hatuon       = addslashes($hatuon);
  $yaku         = addslashes($yaku);
  $yorei        = addslashes($yorei);
  $midasi       = chop($midasi);
  $hatuon       = chop($hatuon);
  $yaku         = chop($yaku);
  $yorei        = chop($yorei);
}

// =================================================================================================
// GET引数の値を取得する
// =================================================================================================
function GetQueryData() {
  // グローバルスコープの参照
  global $fstatus;                                //ステータス
  global $id ;                                    //ID
  global $useragent;                              //UserAgent
  //GET引数を取得する
  $fstatus    = $_GET['pStatus'];                 //ステータス
  $id         = $_GET['pInt'];                    //呼び出し番号
  $useragent  = getenv('HTTP_USER_AGENT');        //UserAgent
}

// =================================================================================================
// 新規登録
// =================================================================================================
if($fstatus == 'reg'){
    //重複確認
    $sql  = "";
    $sql .= "SELECT ";
    $sql .= "id ";
    $sql .= "FROM ";
    $sql .= "user_dic ";
    $sql .= "WHERE ";
    $sql .= "midasi = '$midasi' ";
    //実行
    $res = pg_query($DBconnect, $sql);
    if(pg_num_rows($res) > 0 ) {  //登録済みの場合
        $msg = "登録済みです";
    } else {
        pg_query($DBconnect,"begin");
        //ID取得
        $sql  = "";
        $sql .= "SELECT ";
        $sql .= "max(id) as maxid ";
        $sql .= "FROM ";
        $sql .= "user_dic ";
        //実行
        $res = pg_query($DBconnect, $sql);
        $maxid = pg_fetch_result($res, 0, 'maxid');
        $id  = $maxid + 1;
        //登録
        $sql  = "";
        $sql .= "INSERT INTO user_dic ";
        $sql .= "(id,midasi,hatuon,yaku,yorei,useragent,reg_date) ";
        $sql .= "VALUES ";
        $sql .= "($id, '$midasi', '$hatuon', '$yaku', '$yorei', '$useragent', 'NOW') ";
        //実行
        $res = pg_query($DBconnect, $sql);
        //登録できたら
        if (pg_affected_rows ($res) == 1){
            pg_query($DBconnect, "commit");
            $msg = "登録しました";
            $fstatus = "load";
        } else {
            pg_query($DBconnect, "rollback");
            $msg = "登録処理失敗";
        }
    }
}

// =================================================================================================
// 更新
// =================================================================================================
if($fstatus == 'confirm'){
    pg_query($DBconnect,"begin");
    //登録
    $sql  = "";
    $sql .= "UPDATE user_dic SET ";
    $sql .= "midasi     = '$midasi', ";
    $sql .= "hatuon     = '$hatuon', ";
    $sql .= "yaku       = '$yaku', ";
    $sql .= "yorei      = '$yorei', ";
    $sql .= "useragent  = '$useragent', ";
    $sql .= "reg_date   = 'NOW' ";
    $sql .= "WHERE id   = $id ";
    //実行
    $res = pg_query($DBconnect, $sql);
    //更新できたら
    if (pg_affected_rows ($res) == 1){
        pg_query($DBconnect, "commit");
        $msg = "更新しました";
        $fstatus = "load";
    } else {
        pg_query($DBconnect, "rollback");
        $msg = "更新処理失敗";
    }
}

// =================================================================================================
// 表示
// =================================================================================================
if($fstatus == 'load'){
    //表示
    $sql  = "";
    $sql .= "SELECT id,midasi,hatuon,yaku,yorei FROM user_dic ";
    $sql .= "WHERE  id = $id ";
    //実行
    $res = pg_query($DBconnect, $sql);
    //
    if (pg_num_rows($res) > 0 ){
        $id     = pg_fetch_result($res, 0, 'id');
        $midasi = pg_fetch_result($res, 0, 'midasi');
        $hatuon = pg_fetch_result($res, 0, 'hatuon');
        $yaku   = pg_fetch_result($res, 0, 'yaku');
        $yorei  = pg_fetch_result($res, 0, 'yorei');
    } else {
        $msg = "該当データがありません";
    }
  }
// =================================================================================================
// ボタン表示
// =================================================================================================
function DsipButton($fstatus) {
    if (($fstatus == 'add') || ($fstatus == 'reg')){  //新規登録
        echo "<input type=\"button\" value=\"登録\" onClick=\"javascript:wordReg();\">\n";
    }
    if (($fstatus == 'edit') || ($fstatus == 'confirm') || ($fstatus == 'load')){  //更新および読み込み
        echo "<input type=\"button\" value=\"更新\" onClick=\"javascript:wordEdit();\">\n";
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>辞書(登録語編集：新規登録)</title>
 <link rel="stylesheet" href="userdic.css" type="text/css">
 <SCRIPT TYPE="text/javascript" SRC="userdic.js"></SCRIPT>
</head>
<body onload="page_load('<?php print($msg) ?>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form name="data">
<input type="hidden" name="fstatus">
<input type="hidden" name="id" value="<?php echo $id; ?>">
  <div="center">
  <table class="fcell">
    <tr class="silvercell">
      <td>登録語編集：新規登録
  </table>
  <table class="fcell">
    <tr class="blackcell">
      <td class="f2">見出語
      <td class="f3"><input class="kanji" size="100" id="midasi" name="midasi" value="<?php echo $midasi; ?>">
    <tr class="blackcell">
      <td class="f2">発音
      <td class="f3"><input class="eihan" size="100" id="hatuon" name="hatuon" value="<?php echo $hatuon; ?>">
    <tr class="blackcell5">
      <td class="f2">訳語
      <td class="f3"><textarea rows="5" cols="74" class="kanji" size="100" id="yaku" name="yaku"><?php echo $yaku; ?></textarea>
    <tr class="blackcell5">
      <td class="f2">用例
      <td class="f3"><textarea rows="5" cols="74" class="kanji" size="100" id="yorei" name="yorei"><?php echo $yorei; ?></textarea>
  </table>
  <table class="fcell">
    <tr class="silvercell">
      <td><?php DsipButton($fstatus); ?>
  </table>
 </div>
  </form>
</body>
</html>
